Subject: Re: Bug#932357: debootstrap: failed to create a pbuilder base.tgz inside a systemd-nspawn container

From: Alberto Garcia <[email-masked]>
Date: Mon, 9 Mar 2020 18:14:58 +0100

On Sun, Feb 23, 2020 at 08:36:15PM +0900, Hideki Yamane wrote:

>  It would be succeeded inside systemd-nspawn container but fails
>  with "unprivileged" container. So, could you give some information
>  about difference between privileged and unprivileged container,
>  please?  It there's it, can detect and change its behavior.

I'm not an expert in systemd containers, but as far as I can see when
you run an unprivileged container the root user inside a container
is actually mapped to a random (non-root) user ID and cannot create
devices, that's why mknod fails.

I don't know if fixing that check and using an alternative system is
enough to solve the problem though, a quick test shows that there are
also problems when mounting /sys inside the pbuilder chroot.

Berto